summaryrefslogtreecommitdiffstats
path: root/package/base-files/files/lib
diff options
context:
space:
mode:
authornbd <nbd@3c298f89-4303-0410-b956-a3cf2f4a3e73>2007-01-08 21:33:53 +0000
committernbd <nbd@3c298f89-4303-0410-b956-a3cf2f4a3e73>2007-01-08 21:33:53 +0000
commit5ad62fbdd3e65c841a917ee5f2d1fc238921078c (patch)
treeb9a2ebbf00ba84edd0eedc59e8163746df3a8db6 /package/base-files/files/lib
parenta6f470987e6035ee650e95b996ca96980f6d92bc (diff)
Forward port whiterussian resolv.conf changes
/etc/resolv.conf links to /tmp/resolv.conf /tmp/resolv.conf links to /tmp/resolv.conf.auto by default (which is where the ISPs nameserver is in) When dnsmasq starts, it replaces /tmp/resolv.conf with a file pointing to 127.0.0.1 git-svn-id: svn://svn.openwrt.org/openwrt/trunk@6043 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'package/base-files/files/lib')
-rwxr-xr-xpackage/base-files/files/lib/network/config.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/package/base-files/files/lib/network/config.sh b/package/base-files/files/lib/network/config.sh
index 845b33eb7..f3ead6a79 100755
--- a/package/base-files/files/lib/network/config.sh
+++ b/package/base-files/files/lib/network/config.sh
@@ -120,9 +120,9 @@ setup_interface() {
$DEBUG ifconfig "$iface" "$ipaddr" netmask "$netmask"
$DEBUG ifconfig "$iface" inet6 add "$ip6addr"
[ -z "$gateway" ] || route add default gw "$gateway"
- [ -z "$dns" -o -f /tmp/resolv.conf ] || {
+ [ -z "$dns" -o -f /tmp/resolv.conf.auto ] || {
for ns in $dns; do
- echo "nameserver $ns" >> /tmp/resolv.conf
+ echo "nameserver $ns" >> /tmp/resolv.conf.auto
done
}